%global		debug_package	%{nil}
%global		shortname	File-Scan-ClamAV

Name:		perl-%{shortname}
Version:	1.95
Release:	3.ndias%{?dist}
Summary:	Connect to a local Clam Anti-Virus clamd service and send commands   

Group:		Development/Libraries
License:	GPL+ or Artistic

URL:		https://github.com/smith153/File-Scan-ClamAV
Source0:	https://github.com/smith153/File-Scan-ClamAV/archive/refs/tags/%{version}.tar.gz#/%{shortname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	clamav-server, perl-ExtUtils-MakeMaker, make

Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A library for connecting to and sending commands to a local ClamAV clamd
service - an anti-virus daemon process.


%prep
%setup -q -n %{shortname}-%{version}


%build
perl Makefile.PL PREFIX=/usr INSTALLDIRS=perl
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}*/perl5/auto/File/Scan/ClamAV/.packlist
rm -f %{buildroot}%{_libdir}*/perl5/perllocal.pod


%files
%doc Changes README
%license LICENSE

%dir %{_datadir}/perl5/File/Scan

%{_mandir}/man3/File::Scan::ClamAV.3pm.gz
%{_datadir}/perl5/File/Scan/ClamAV.pm


%changelog
* Tue May 24 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.95-3.ndias
- To work in Fedora

* Wed Sep 28 2016 Nuno Dias <Nuno.Dias@gmail.com> - 1.95-2.ndias
- Version 1.95
